Migrate Entitlement host cloud resources in deprecated format to current format.

Prev Next
Post
/entitlements/cloud-migrations

Migrates Entitlement Action's hosts referencing cloud resources in deprecated format to current format.

Security
HTTP
Type bearer
Query parameters
dry-run
boolean

When true, migration items are detected, but not migrated. Defaults to true.

Examplefalse
Responses
200

List of hosts containing formats that have been changed.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (EntitlementMigrationInfo)
object

Migration details of a specific Action of a specific Entitlement.

entitlementId
string (uuid)

ID of the Entitlement.

Examplef691e13f-06b4-4340-853c-fec61f2d9f9f
entitlementName
string

The name of the Entitlement.

ExampleEntitlement A
actionIndex
number

The index of the Action containing the changed host.

Example0.0
hostIndex
number

The index of the changed Action.

Example2.0
originalHost
string

The value before being migrated.

Examplegcp://natIP:true
updatedHost
string

The value after being migrated. This can be the same as originalHost if problems were encountered while migrating the value.

Examplegcp://{"public-ips":true}
migrationErrors
Array of string

A list of any error messages encountered while migrating this value.

string
ExampleWARNING [translate] resolver type of illumio is not configured: tag:gateway
204

No hosts requiring migrations were found.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.